summaryrefslogtreecommitdiffstats
path: root/djvulibre
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-11-19 22:02:10 +0000
committer Eric Hameleers <alien@slackware.com>2007-11-19 22:02:10 +0000
commit2b5c2e86ebbcab6319ba7921993ce18734356a37 (patch)
treeca4e61766f29e7459d817ed3437cdc061ab7fbe4 /djvulibre
parentfd98e744c45d7d4b8e0330dbd3d5202f6a557151 (diff)
downloadasb-2b5c2e86ebbcab6319ba7921993ce18734356a37.tar.gz
asb-2b5c2e86ebbcab6319ba7921993ce18734356a37.tar.xz
Updated for a Slackware 12.0 rebuild
Diffstat (limited to 'djvulibre')
-rwxr-xr-xdjvulibre/build/djvulibre.SlackBuild66
1 files changed, 26 insertions, 40 deletions
diff --git a/djvulibre/build/djvulibre.SlackBuild b/djvulibre/build/djvulibre.SlackBuild
index 2c066a80..bd79a8e4 100755
--- a/djvulibre/build/djvulibre.SlackBuild
+++ b/djvulibre/build/djvulibre.SlackBuild
@@ -32,6 +32,8 @@
# Changelog:
# 3.5.19-1: 22/May/2007 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 3.5.19-2: 19/Nov/2007 by Eric Hameleers <alien@slackware.com>
+# * Rebuild for Slackware 12.0
#
# Run 'sh djvulibre.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -39,19 +41,18 @@
#
# -----------------------------------------------------------------------------
-# --- INIT ---
# Set initial variables:
PRGNAM=djvulibre
VERSION=${VERSION:-3.5.19}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
DOCS="COPYING COPYRIGHT NEWS README TODO doc/*"
# Where do we look for sources?
-CWD=`pwd`
-SRCDIR=`dirname $0`
+CWD=$(pwd)
+SRCDIR=$(dirname $0)
[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
@@ -75,7 +76,7 @@ set -u
P1=${1:-1}
# Slackware 11 and up need other option (gcc > 3.3.x)
-if [ `gcc -dumpversion | tr -d '.' |cut -c 1-2` -gt 33 ]; then
+if [ $(gcc -dumpversion | tr -d '.' |cut -c 1-2) -gt 33 ]; then
MOPT=tune
else
MOPT=cpu
@@ -103,40 +104,27 @@ case "$ARCH" in
esac
# Create working directories:
-if [ ! -d $TMP/tmp-$PRGNAM ]; then
- mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-elif [ "$P1" != "--oldbuild" ]; then
- # If the "--oldbuild" parameter is present, we keep
- # the old build files and continue;
- # By default we remove the remnants of previous build and continue:
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
-
-if [ ! -d $PKG ]; then
- mkdir -p $PKG # place for the package to be built
-else
- rm -rf $PKG/* # We always erase old package's contents:
-fi
-
-if [ ! -d $OUTPUT ]; then
- mkdir -p $OUTPUT # place for the package to be saved
-fi
+mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+mkdir -p $PKG # place for the package to be built
+rm -rf $PKG/* # We always erase old package's contents:
+mkdir -p $OUTPUT # place for the package to be saved
# Source file availability:
if ! [ -f ${SOURCE} ]; then
if ! [ "x${SRCURL}" == "x" ]; then
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
- echo "Source '`basename ${SOURCE}`' not available yet..."
- echo "Will download file to `dirname $SOURCE`"
- wget -nv --connect-timeout=20 -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
- echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '`basename ${SOURCE}`' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -154,14 +142,14 @@ echo "++"
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
-if `file ${SOURCE} | grep -q ": bzip2"`; then
+if $(file ${SOURCE} | grep -q ": bzip2"); then
tar -xjvf ${SOURCE}
-elif `file ${SOURCE} | grep -q ": gzip"`; then
+elif $(file ${SOURCE} | grep -q ": gzip"); then
tar -xzvf ${SOURCE}
fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
@@ -176,12 +164,10 @@ CFLAGS="$SLKCFLAGS" \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-#
# Install all the needed stuff to the package dir
-#
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
@@ -205,8 +191,8 @@ sed -i -e \
mkdir -p $PKG/install
cat <<-EOTT > $PKG/install/doinst.sh
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database \
- ./usr/share/applications > /dev/null 2>&1
+ chroot . /usr/bin/update-desktop-database /usr/share/applications \
+ > /dev/null 2>&1
fi
EOTT
@@ -218,7 +204,7 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# Compress the man page(s):
if [ -d $PKG/usr/man ]; then
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
- for i in `find $PKG/usr/man -type l -name "*.?"` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
# Fix for the libs to get stripped correctly